Redmine - Feature #30808

Multiple issue ids in "Subtasks" filter
2019-02-14 09:04 - Hirofumi Kadoya

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

at Custom Query
child task can select single
issue can select multiple

I'd like to select mulutiple likely issue

about parent task
http://www.redmine.org/issues/30482
Related issues:
Related to Redmine - Feature #30482: Multiple issue ids in "Parent task" filter Closed

Associated revisions

Revision 17908 - 2019-02-28 11:01 - Go MAEDA
Multiple issue ids in "Subtasks" filter (#30808).

Patch by Yuichi HARADA.

History

#1 - 2019-02-14 09:07 - Go MAEDA

- Tracker changed from Defect to Feature

#2 - 2019-02-14 09:07 - Go MAEDA
- Related to Feature #30482: Multiple issue ids in "Parent task" filter added

#3 - 2019-02-14 09:31 - Go MAEDA

- Subject changed from Multiple issue ids in "child task" filter to Multiple issue ids in "Subtasks" filter

| am trying to explain the request that partially written in Japanese.

"Subtasks" issues filter should support comma-separated multiple issue ids as already supported in "Issues" and "Parent task" filter.

In the current trunk r17862, there are three issues filters that accept issue id. "Issue" and "Parent task" filter accepts comma-separated issue ids as a
parameter for "is (=)" operator but only "Subtasks" filter does not.

#4 - 2019-02-19 03:15 - Yuichi HARADA
- File 30808-fix-child-id-filter.patch added
http://www.redmine.org/issues/30482
https://www.redmine.org/projects/redmine/repository/svn/revisions/17862

| changed so that The Subtasks filter supports comma-separated multiple issue ids.
| attached a patch.

#5 - 2019-02-19 06:45 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-02-28 11:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

30808-fix-child-id-filter.patch 1.56 KB 2019-02-19
Yuichi HARADA
